﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EPiServer.Samples
{
    /// <summary>
    /// Class to hold rating information for an entity
    /// </summary>
    public class Rating
    {
        /// <summary>
        /// Returns the average rating which is Total divided by Count
        /// </summary>
        public int Average
        {
            get
            {
                return (Total > 0) ? Total / Count : 0;
            }
        }

        /// <summary>
        /// The total value of all ratings
        /// </summary>
        public int Total
        {
            get;
            private set;
        }

        /// <summary>
        /// The number of ratings made
        /// </summary>
        public int Count
        {
            get;
            private set;
        }

        /// <summary>
        /// Incorporate <paramref name="value"/> in the current rating 
        /// </summary>
        /// <param name="value">The individual rating to incorporate</param>
        public void Rate(int value)
        {
            Total += value;
            Count++;
        }
    }
}
